<?php
error_reporting(0);
header('Content-type: image/png');

$x = intval($_GET['x']);
$y = intval($_GET['y']);
$rgbr = intval($_GET['rgbr']);
$rgbg = intval($_GET['rgbg']);
$rgbb = intval($_GET['rgbb']);
$t = md5($_GET['t']);

$ImgCreate = imagecreatefrompng('individual.png');
$Weight = imageSX($ImgCreate);
$Height = imageSY($ImgCreate);
$NewImg = imagecreatetruecolor($x, $y);
$col = imagecolorallocatealpha($ImgCreate, $rgbr, $rgbg, $rgbb, 0);
imageFilledRectangle($ImgCreate,0,0,$Weight,$Height,$col);
imageCopyResized($NewImg,$ImgCreate, 0, 0, 0, 0, $x, $y, $Weight, $Height);

imagePng($NewImg,'get/'.$t.'.png');
imagePng($NewImg);
?>